# Important:
# The AMDGPU-PRO EULA forbids you from redistributing the source package.
# Therefore it's illegal to distribute the .src.rpm or .rpm files to third
# parties.

# RPM flags
%global debug_package %{nil}

Name:           amdgpu-vulkan-switcher
License:        GPL
Version:        1
Release:        5%{?dist}
Summary:        Select needed vulkan implementation with vk_radv, vk_amdvlk or vk_pro prefix

URL:            https://gitlab.com/AndrewShark/amd-vulkan-prefixes
Source0:        https://gitlab.com/AndrewShark/amd-vulkan-prefixes/-/raw/main/amd_vulkan_prefixes.sh
Source1:        https://gitlab.com/AndrewShark/amd-vulkan-prefixes/-/raw/main/amd_vulkan_prefixes.bash-completion

Requires:	amdgpu-opengl-switcher

%description
Select needed vulkan implementation with vk_radv, vk_amdvlk or vk_pro prefix


%prep
mkdir files
cp %{SOURCE0} files/
cp %{SOURCE1} files/

%install
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
install -p -m755 files/amd_vulkan_prefixes.sh %{buildroot}%{_bindir}/vk_radv
install -p -m755 files/amd_vulkan_prefixes.sh %{buildroot}%{_bindir}/vk_amdvlk
install -p -m755 files/amd_vulkan_prefixes.sh %{buildroot}%{_bindir}/vk_pro
install -p -m755 files/amd_vulkan_prefixes.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/vk_radv
install -p -m755 files/amd_vulkan_prefixes.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/vk_amdvlk
install -p -m755 files/amd_vulkan_prefixes.bash-completion %{buildroot}%{_datadir}/bash-completion/completions/vk_pro

%files
%{_bindir}/vk_radv
%{_bindir}/vk_amdvlk
%{_bindir}/vk_pro
%{_datadir}/bash-completion/completions/vk_radv
%{_datadir}/bash-completion/completions/vk_amdvlk
%{_datadir}/bash-completion/completions/vk_pro
